import 'dart:io' show File;

import 'package:dartle/dartle.dart' show DartleException;
import 'package:yaml/yaml.dart';

Future<void> generateVersionDartFile(File dartFile) async {
  final yaml = loadYaml(await File('pubspec.yaml').readAsString());
  final dartleVersion = yaml['version'] as String;
  if (dartleVersion == null) {
    throw DartleException(message: 'pubspec.yaml does not have a version');
  }

  await dartFile.writeAsString("// generated by "
      "dartle-src/metadata_generator.dart\n"
      "const dartleVersion = '${dartleVersion}';\n");
}
